NIHSTRO-ASSEMBLE(1)

NAME
nihstro-assemble - Utility for assembling SHBIN files from human-readable 3DS shader source code

SYNOPSIS
nihstro-assemble [-e | --entrypoint label_name] [-g | --geo_shader] [-h | --help] [-o | --output output_filename] file ...

DESCRIPTION
nihstro-assemble is a standalone assembler for assembling 3DS shader binaries from human-readable source code (the syntax of which is called "nihcode"). It is perfectly suitable for homebrew development. Shader source needs to follow the nihcode specification.

Options:

-e, --entrypoint label_name
    label name in the input source at which shader execution should start (defaults to "main")

-g, --geo_shader
    Compile shader source as a geometry shader

-h, --help
    Show command line usage

-o, --output output_filename
    Filename of output shader binary

SEE ALSO
nihstro-disassemble(1)

AUTHORS
-split nihstro-assemble was written by Tony Wasserka

This manual page was written by David James <davidjamescastor215@proton.me>